Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe
Interface ContextDataElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

All Known Implementing Classes:
  ContextDataElementImpl

public interface ContextDataElement
extends org.eclipse.emf.ecore.EObject, java.io.Serializable

A representation of the model object 'Context Data Element'.

The ContextDataElement type defines the contexts that this event references. This complex type holds data that is used to assist with problem diagnostics by correlating messages or events generated during execution of a unit of work.

Since:
  1.0

  The following features are supported:

  - `Context Id`
  - `Context Value`
  - `Name`
  - `Type`
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  `EventPackage.getContextDataElement()`

Method Summary
`java.lang.String` | `getContextId()` Returns the value of the 'Context Id' attribute.
`java.lang.String` | `getContextValue()` Returns the value of the 'Context Value' attribute.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` | `getType()` Returns the value of the 'Type' attribute.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setContextId(java.lang.String value)` Sets the value of the '`Context Id`' attribute.
`void` | `setContextValue(java.lang.String value)` Sets the value of the '`Context Value`' attribute.
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute.
`void` | `validate()` Checks whether the contents of this object conforms to the CBE specification.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getContextId

    public java.lang.String getContextId()

  Returns the value of the 'Context Id' attribute.

  Returns:
    the value of the 'Context Id' attribute.
  See Also:
    `setContextId(String)`, `EventPackage.getContextDataElement_ContextId()`

### setContextId

    public void setContextId(java.lang.String value)

  Sets the value of the '`Context Id`' attribute.

  This property is the reference to the globally unique identifier of the element that contains the context.

  This is required unless contextValue specifies a value.

  Parameters:
    `value` - the new value of the 'Context Id' attribute.
  See Also:
    `getContextId()`

### getContextValue

    public java.lang.String getContextValue()

  Returns the value of the 'Context Value' attribute.

  Returns:
    the value of the 'Context Value' attribute.
  See Also:
    `setContextValue(String)`, `EventPackage.getContextDataElement_ContextValue()`

### setContextValue

    public void setContextValue(java.lang.String value)

  Sets the value of the '`Context Value`' attribute.

  The value of the context with respect to the implementation of the context.

  This is required unless contextId specifies a value. The string length for this property must not exceed 1024 characters.

  Parameters:
    `value` - the new value of the 'Context Value' attribute.
  See Also:
    `getContextValue()`

### getName

    public java.lang.String getName()

  Returns the value of the 'Name' attribute.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `EventPackage.getContextDataElement_Name()`

### setName

    public void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Name of the application that created this context data element.

  This is a required property. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getType

    public java.lang.String getType()

  Returns the value of the 'Type' attribute.

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `setType(String)`, `EventPackage.getContextDataElement_Type()`

### setType

    public void setType(java.lang.String value)

  Sets the value of the '`Type`' attribute.

  The data type of the contextValue property.

  This is a required property. The string length for this property must not exceed 64 characters.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `getType()`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of this object conforms to the CBE specification.

  Throws:
    `ValidationException` - if the object does not follow the CBE specification.

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD